| helics 3.6.1

Public Types | Public Member Functions | List of all members
helics::LocalFederateId Class Reference

`#include <LocalFederateId.hpp>`

## Public Types
using | BaseType = IdentifierBaseType

## Public Member Functions
constexpr | LocalFederateId ()=default
constexpr | LocalFederateId (BaseType val) noexcept
constexpr BaseType | baseValue () const
bool | operator== (LocalFederateId id) const noexcept
bool | operator!= (LocalFederateId id) const noexcept
bool | operator< (LocalFederateId id) const noexcept
bool | isValid () const

## Detailed Description

class defining a LocalFederateId

the intent of this class is to limit the operations available on a federate identifier to those that are a actually required and make sense, and make it as low impact as possible. it also acts to limit any mistakes of a LocalFederateId

## Constructor & Destructor Documentation

## ◆ LocalFederateId() [1/2]

constexpr helics::LocalFederateId::LocalFederateId | ( |  | ) |
| constexpr default

default constructor

## ◆ LocalFederateId() [2/2]

constexpr helics::LocalFederateId::LocalFederateId | ( | BaseType | val | ) |
| inline explicit constexpr noexcept

convert a base type value into a local_federate id

## Member Function Documentation

## ◆ baseValue()

constexpr BaseType helics::LocalFederateId::baseValue | ( |  | ) | const
| inline constexpr

extract the base value of the id code

Referenced by helics::CommonCore::getFederateAt().

## ◆ isValid()

bool helics::LocalFederateId::isValid | ( |  | ) | const
| inline

check if the operator is valid

valid operators have been set to something other than the default value

## ◆ operator!=()

bool helics::LocalFederateId::operator!= | ( | LocalFederateId | id | ) | const
| inline noexcept

inequality operator

## ◆ operator<()

bool helics::LocalFederateId::operator< | ( | LocalFederateId | id | ) | const
| inline noexcept

less than operator for sorting

## ◆ operator==()

bool helics::LocalFederateId::operator== | ( | LocalFederateId | id | ) | const
| inline noexcept

equality operator

The documentation for this class was generated from the following file:

- LocalFederateId.hpp